package com.zjsgfa.project.zjsgfa.mapper;

import java.util.List;
import com.zjsgfa.project.zjsgfa.domain.SjZtcsxx;

/**
 * 设计-钻头参数信息Mapper接口
 * 
 * @author
 * @date 2025-08-18
 */
public interface SjZtcsxxMapper 
{
    /**
     * 查询设计-钻头参数信息
     * 
     * @param id 设计-钻头参数信息主键
     * @return 设计-钻头参数信息
     */
    public SjZtcsxx selectSjZtcsxxById(Long id);

    /**
     * 查询设计-钻头参数信息列表
     * 
     * @param sjZtcsxx 设计-钻头参数信息
     * @return 设计-钻头参数信息集合
     */
    public List<SjZtcsxx> selectSjZtcsxxList(SjZtcsxx sjZtcsxx);

    /**
     * 新增设计-钻头参数信息
     * 
     * @param sjZtcsxx 设计-钻头参数信息
     * @return 结果
     */
    public int insertSjZtcsxx(SjZtcsxx sjZtcsxx);

    /**
     * 修改设计-钻头参数信息
     * 
     * @param sjZtcsxx 设计-钻头参数信息
     * @return 结果
     */
    public int updateSjZtcsxx(SjZtcsxx sjZtcsxx);

    /**
     * 删除设计-钻头参数信息
     * 
     * @param id 设计-钻头参数信息主键
     * @return 结果
     */
    public int deleteSjZtcsxxById(Long id);

    /**
     * 批量删除设计-钻头参数信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSjZtcsxxByIds(Long[] ids);

    int deleteSjZtcsxxByJhAndKcAndlb(SjZtcsxx sjZtcsxx);

}
